/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { ModuleBase } from './base.module';
import { IScope, IHttpProvider, ILocationProvider, auto } from 'angular';
import { StateProvider, UrlRouterProvider, StateService } from '@uirouter/angularjs';
export declare class FrameworkModule extends ModuleBase {
    private static internalInstance;
    static readonly instance: FrameworkModule;
    constructor();
    getModuleName(): string;
    protected register(): void;
    protected configureRoutes(stateProvider: StateProvider, urlRouterProvider: UrlRouterProvider, httpProvider: IHttpProvider, location: ILocationProvider): void;
    protected authorizeRoute(rootScope: IScope, state: StateService, injector: auto.IInjectorService): void;
    protected getModuleDependencies(): string[];
}
