"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_controller_1 = require("../base.controller");
var DialogControllerBase = /** @class */ (function (_super) {
    tslib_1.__extends(DialogControllerBase, _super);
    function DialogControllerBase(scope, modalInstance, injector) {
        var _this = _super.call(this, scope, injector) || this;
        _this.modalInstance = modalInstance;
        return _this;
    }
    DialogControllerBase.prototype.cancel = function () {
        this.modalInstance.close();
    };
    DialogControllerBase.prototype.close = function (result) {
        if (result === void 0) { result = null; }
        this.modalInstance.resolve(result);
    };
    return DialogControllerBase;
}(base_controller_1.ControllerBase));
exports.DialogControllerBase = DialogControllerBase;
